require 'can_camel/validators'
module CanCamel::Filters
  include CanCamel::Validators
  include CanCamel::Filter
  extend ActiveSupport::Autoload

  ABSTRACT_FILTERS = %i(Base CustomFilter)
  FILTERS = %i(AtTime AtDay)

  (ABSTRACT_FILTERS + FILTERS).each { |x| autoload x }
  FILTERS.each { |x| register_filter const_get(x) }
end
