class CreateCanCamelNodes < ActiveRecord::Migration
  def change
    create_table CanCamel::TABLE_NAME do |t|
      t.column :name, :string, index: true
      t.column :description, :text, null: true
      t.column :parent_id, :integer, null: true
      t.column :inherit_id, :integer, null: true
      t.column :type, :string
      t.column :override_fields, :json, default: []
      t.column :condition, :json, default: {}
      t.column :result, :json, default: {}
    end
  end
end
